"""Test Suite for ME2AI

This package contains comprehensive tests for the ME2AI system.
The test suite includes:

Test Categories:
- Unit Tests: Testing individual components in isolation
- Integration Tests: Testing component interactions
- Performance Tests: Testing system performance characteristics
- Load Tests: Testing system behavior under load

Test Coverage:
- CLI Interface
- Agent Implementations
- LLM Providers
- Memory Management
- Error Handling

Test Configuration:
- Uses pytest as the test framework
- Includes fixtures for common test scenarios
- Supports test markers for selective test execution
- Provides coverage reporting
"""
